Get VariantsAsk AIget http://preview.threekit.com/api/v2/catalog/items/{itemId}/variantsRetrieves all the Variants for a catalog Item given the Item's ID or Custom ID.Path ParamsitemIdThreekit UUIDCustom IDrequiredThis can be either the Threekit UUID or the user-defined custom ID.Query ParamsattributeOptionsstringA stringified JSON array of objects used to filter the returned Variants based on its Attributes and Options. Each object in the array represents an Attribute-Option filter and must include: attribute: An object specifying either an id (a Threekit UUID) or a customId (a user-defined custom ID) to identify the attribute. options: An array of objects, where each object specifies either an id (a Threekit UUID) or a customId (a user-defined custom ID) to identify an option within the attribute. customIdLikestringFilters the returned Variants by their custom ID. Supports partial matches: Returns all Variants whose custom IDs contain the specified text as a substring.statusstringA status or a stringified JSON array of statuses used to filter the returned Variants. Possible statuses are 'active', 'deactivated', and 'invalid'.pageinteger≥ 1Defaults to 1The page number to retrieve.perPageinteger1 to 100Defaults to 50The number of entities to retrieve per page.bearer_tokenuuidPublic or Private Threekit authentication token. If using a public token the request must originate for a domain added to the authentication token.jwt_tokenstringJSON Web Token (JWT) token used to authorize the request.Responses 200200 401401 403403 404404Updated about 1 year ago